Invite users by their emails
curl --request POST \
--url https://incoming.qomon.app/users/invitation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"invitations": [
{
"email": "example@mail.com",
"role_id": 8,
"team_ids": [
11,
12
]
}
]
}
}
'import requests
url = "https://incoming.qomon.app/users/invitation"
payload = { "data": { "invitations": [
{
"email": "example@mail.com",
"role_id": 8,
"team_ids": [11, 12]
}
] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {invitations: [{email: 'example@mail.com', role_id: 8, team_ids: [11, 12]}]}
})
};
fetch('https://incoming.qomon.app/users/invitation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"msg": "invitations created successfully",
"invitations": [
{
"created_at": "2023-11-07T05:31:56Z",
"email": "johndoe@mail.com",
"group_id": 101,
"id": 101,
"last_sent": "2023-11-07T05:31:56Z",
"mobile_phone": "0123456789",
"role": {
"id": 5,
"name": "<string>",
"order": 1,
"type": "superadmin"
},
"role_id": 5,
"team_ids": [
11,
12
],
"user_id": 2345
}
]
},
"status": "success"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Invitations
Invite users by their emails
Send an invitation to the specified mail addresses.
POST
/
users
/
invitation
Invite users by their emails
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Body
application/json
Show child attributes
Show child attributes
Last modified on September 3, 2026
Was this page helpful?
⌘I

